# frozen_string_literal: true

require "latias/influxdb/action_bucket/base"

module Latias
  # Influxdb
  module Influxdb
    # Bucket
    class Bucket < Latias::Influxdb::ActionBucket::Base
      def yield(query)
        merge_query('yield', query)
      end

      def range(query)
        merge_query('range', query)
      end

      def filter(query)
        merge_query('filter', query)
      end

      def duplicate(query)
        merge_query('duplicate', query)
      end

      def merge_query(key, query)
        raw_function "#{key}(#{query})"
      end

      def raw_function(function)
        raw_query "#{new_command} #{function}"
      end

      def raw_query(query)
        @query += query
        self
      end

      def client_reconnection
        client_connection
      end
    end
  end
end
