# frozen_string_literal: true

module Latias
  # Influxdb
  module Influxdb
    # Configuration
    class Configuration
      attr_accessor :url, :token, :bucket, :org, :use_ssl, :verify_mode, :precision

      def initialize
        @query = ''
        @url = 'http://localhost:8086'
        @token = 'token'
        @bucket = 'bucket'
        @org = 'org'
        @use_ssl = false
        @verify_mode = OpenSSL::SSL::VERIFY_NONE
      end
    end

    def self.configuration
      @configuration ||= Configuration.new
    end

    def self.configuration=(config)
      @configuration = config
    end

    def self.configure
      yield configuration
    end
  end
end
